Subject: Re: [PATCH] Update gstreamer and its families to 1.20.1.

From: Liliana Marie Prikler <[email-masked]>
Date: Thu, 07 Apr 2022 08:27:58 +0200

Am Mittwoch, dem 06.04.2022 um 23:34 +0800 schrieb Zhu Zihao:
> Re-check the source code of good,ugly,gst-libav. It looks that some
> good plugins will use gst_element_factory_make to create element in
> base, It's reasonable for gst-plugins-good to propagates
> gst-plugins-base(propagation of gstreamer is not neeeded, I think)
The explicit propagation of gstreamer from any of the plugin paths is
so that GST_PLUGIN_SYSTEM_PATH is set.  However, it might be a little
too restrictive – it does prohibit combination of any of the plugins
with a slightly differently built gstreamer.

> But for ugly and gst-libav. I don't see such code in their source
> code.  So It's better to remove their propagated-inputs.
Static analysis is not enough here, you need integration tests.